madFilter-methods {xps} | R Documentation

## Median Absolute Deviation Filter

### Description

This method initializes the Median Absolute Deviation Filter.
The MAD Filter flags all rows with: `flag = (mad >= cutoff)`

Usage

`madFilter(object)`
`madFilter(object, value)<-`

### Arguments

`object` | object of class `PreFilter`.
`value` | numeric vector `c(cutoff, epsilon)`.

### Details

The method `madFilter` initializes the following parameters:

| `cutoff`: | the cutoff level for the filter.
| `epsilon`: | value to replace mean (default is `epsilon=0.01`).

Note, that `epsilon` has no effect on `mad`.

### Value

An initialized `PreFilter` object.

### Author(s)

Christian Stratowa

### Examples

    prefltr <- PreFilter()
    madFilter(prefltr) <- c(0.5,0.01)
    str(prefltr)

[Package xps version 1.2.10 Index]